package Stanford::Schema::Tripwire::Result::ServerStatus;

use autodie;
use strict;
use warnings;

use base 'DBIx::Class::Core';

__PACKAGE__->load_components(qw/InflateColumn::DateTime/);
__PACKAGE__->table('server_status');
__PACKAGE__->add_columns(
                         'server_name' => {
                             data_type     => 'varchar',
                             is_nullable   => 0,
                             size          => 100,
                         },
                         'checkin_date' => {
                             data_type     => 'date',
                             is_nullable   => 0,
                         },
                         'status' => {
                             data_type     => 'varchar',
                             is_nullable   => 1,
                             size          => 15,
                             default_value => 'dirty',
                         },
);
__PACKAGE__->set_primary_key('server_name', 'checkin_date');

1;

=head1 NAME

Stanford::Schema::Tripwire::Result::ServerStatus

=cut

=head1 ACCESSORS

=head2 server_name

  data_type: 'varchar'
  is_nullable: 0
  size: 100

=head2 checkin_date

  data_type: 'date'
  is_nullable: 0

=head2 status

  data_type: 'varchar'
  is_nullable: 1
  size: 15

=cut

